Subject: Re: [Bitcoin-development] Scaling Bitcoin with Subchains

From: Mike Hearn <[email-masked]>
Date: Mon, 15 Jun 2015 19:18:25 +0200

>
> It's simple: either you care about validation, and you must validate
> everything, or you don't, and you don't validate anything.
>
Pedantically: you could validate a random subset of all scripts, to give
yourself probabilistic verification rather than full vs SPV. If enough
people do it with a large enough subset the probability of a problem being
detected goes up a lot. You still pay the cost of the database updates.

But your main point is of course completely right, that side chains are not
a way to scale up.